@import url('https://fonts.googleapis.com/css2?family=Caveat:wght@400..700&family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&family=Dancing+Script:wght@400..700&family=Tangerine:wght@400;700&display=swap');

:root {
  --color-principal: #59653C;
  --gold: #A87B05;
  --caveat: "Caveat", cursive;
  --dmsans: "DM Sans", sans-serif;
  --title: "Tangerine", cursive;
  --gradient-background: radial-gradient(circle, #f7f4ef, #eee9e0, #e6dfd0);
  --shadow: 2px 4px 6px rgba(0, 0, 0, 0.2);
}

* {
  margin: 0;
  padding: 0;
}

/* bases */
.decor-img {
  width: 300px;
  margin: 15px 0;
}

.decor-img-corazon {
  width: 200px;
  margin: 15px 0;
}

h2 {
  color: var(--color-principal);
  font-family: var(--title);
  font-weight: 700;
  font-size: 2.4rem;
  margin: 10px 0;
  text-shadow: var(--shadow);
}

h3 {
  color: var(--color-principal);
  font-size: 2rem;
  font-weight: 400;
  font-family: "Dancing Script", cursive;
  text-shadow: var(--shadow);
  max-width: 280px;
  /* text-align: center; */
}

h4 {
  font-family: var(--caveat);
  font-size: 1.7rem;
  color: var(--rose-gold);
  text-shadow: var(--shadow);
}

p{
  font-family: var(--dmsans);
  font-size: 1rem;
  text-align: center;
  font-weight: 300;
}

.important-p {
  font-family: "Dancing Script", serif;
  color: var(--color-principal);
  font-size: 1.5rem;
  font-weight: 400;
}

.front-page-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 40px;
}

.icons{
  width: 70px;
  height: 70px;
  /* margin-bottom: 5px; */
}

.small-icon{
  width: 20px;
  height: 20px;
}

.big-icon {
  width: 90px;
  height: 90px;
}

.div-information{
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 10px;
  padding: 20px;
  background-color: #FFFFFD;
}

.div-information div{
  display: flex;
  flex-direction: column;
  align-items: center;
}

.div-information p {
  max-width: 280px;
}


/*portada */
.front-page {
  background-image: url(photos/backgrounds/olivo-background.png);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  min-height: 100vh;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.flor1 {
  position: absolute;
  top: 0; /* Ajusta la distancia desde la parte superior */
  right: 0; /* Ajusta la distancia desde la derecha */
  width: 150px; /* Ajusta el tamaño de la imagen según sea necesario */
  z-index: 1000;
  margin: 0;
  padding: 0;
}

.flor2 {
  position: absolute;
  bottom: 0; /* Ajusta la distancia desde la parte superior */
  left: 0; /* Ajusta la distancia desde la derecha */
  width: 150px; /* Ajusta el tamaño de la imagen según sea necesario */
  z-index: 1000;
  margin: 0;
  padding: 0;
}

.evento {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.nombre-novios {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 5px;
}

.h2-and {
  color: #D6A534;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  /* margin: -5px 0; */
}

.linea {
  width: 90px;
  height: 5px;
}

.p-event{
  text-shadow: var(--shadow);
  font-size: 1.4rem;
}

/* Countdown information */
.countdown-information {
  background-image: url(photos/3.jpg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  min-height: 70vh;
  width: 100%;
}

/* Parte de la introducción */
.introduction {
  gap: 20px;
}

.div-padres {
  margin: 20px 0;
}

.p-padres {
  color: var(--gold);
}

/* Información de los eventos */
.event-information {
  margin-top: -25px;
}
.div_event-information {
  margin-top: 20px;
  text-align: center;
}

.mes {
  margin-bottom: -10px;
}

.date {
  font-size: 1.7rem;
}

.decor-img-f {
  width: 230px;
  margin: 10px 0;
}

.p-reception {
  font-family: var(--dmsans);
  color: var(--gold);
  text-transform: uppercase;
  text-shadow: var(--shadow);
  margin-bottom: 10px;
}

.img-lugar {
  width: 250px;
}


.event-time {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 5px;
  font-weight: 500;
  margin-top: 10px;

}

.event-location{
  margin: 15px 0;
  font-weight: 500;
  color: var(--gold);
}

.button {
  font-family: var(--dmsans);
  padding: 5px 20px;
  border: 2px solid var(--color-principal);
  color: white;
  background-color: var(--color-principal);
  font-size: 1rem;
  text-decoration: none;
  text-align: center;
  border-radius: 20px;
  margin-top: 15px;
  transition: transform 0.3s ease;
  font-weight: 300;  /* Transición suave */
}

.button:hover {
  transform: scale(1.1); /* Aumenta ligeramente el tamaño */
}

/* Confirmación de asistencia */
.confirmation {
  min-height: 85vh;
}

.div-confirmation {
  display: flex;
  flex-direction: column;
  align-items:  center;
  justify-content: center;
  gap: 40px;
  text-align: center;
}


.confirmation p {
  max-width: 280px;
  text-align: center;
}

.confirmarion-div {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.confirmarion-div img {
  margin-bottom: 10px;
}

.div-button {
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
}


.button-confirmation {
  color: white;
  background-color: var(--color-principal);
  font-size: 1.1rem;
  padding: 7px 30px;
  display: flex;
  flex-direction: column;
}

/* Mesa de regalos */

.gift-table{
  gap: 20px;
}

.gift-table-hospedaje h3 {
  margin-top: -25px;
}

/* Despedida */
.despedida {
  min-height: 30vh;
  padding: 10px 0;
}

.div-despedida {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 20px;
}

.div-despedida p {
  max-width: 280px;
}

.div-despedida h2 {
  color: var(--gold);
}



/* Footer */
footer {
  text-align: center;
  padding: 1em;
  background-color:var(--color-principal);
  color: white;
}

footer p {
  font-size: 0.6rem;
}

/* Animación */
.fade-up {
  opacity: 0;
  transform: translateY(40px); /* Empieza 20px hacia abajo */
  transition: opacity 0.6s ease, transform 0.9s ease;
}

.fade-up.show {
  opacity: 1;
  transform: translateY(0); /* Se mueve a su posición original */
}



/* Responsive */
@media screen and (min-width: 768px) {

  /* bases */
.decor-img {
  width: 450px;
}

.decor-img-corazon {
  width: 350px;
}

h2 {
  font-size: 2.7rem;
}

h3 {
  font-size: 2.3rem;
    max-width: 430px;

}

h4 {
  font-size: 2rem;
}

p{
  font-size: 1.2rem;
}

.important-p {
  font-size: 1.8rem;
}

.icons{
  width: 90px;
  height: 90px;
  /* margin-bottom: 5px; */
}

.small-icon{
  width: 40px;
  height: 40px;
}

.big-icon {
  width: 110px;
  height: 110px;
}

.div-information p {
  max-width: 430px;
}

.front-page_p-inferior {
  font-size: 1.6rem;
}

.p-event{
  font-size: 1.7rem;
}

.date {
  font-size: 2rem;
}

.decor-img-f {
  width: 300px;
  margin: 10px 0;
}

.img-lugar {
  width: 350px;
}

/*portada */
.flor1 {
  width: 250px; /* Ajusta el tamaño de la imagen según sea necesario */
}

.flor2 {
  width: 250px; /* Ajusta el tamaño de la imagen según sea necesario */
}

.linea {
  width: 110px;
  height: 5px;
}

.p-event{
  text-shadow: var(--shadow);
  font-size: 1.7rem;
}

/* Información de los eventos */
.button {
  font-size: 1.3rem;
}

.confirmation p {
  max-width: 430px;
}

.button-confirmation {
  font-size: 1.3rem;
}

.div-despedida p {
  max-width: 430px;
}

/* Footer */
footer p {
  font-size: 1rem;
}

}


/* Resposive PC */
@media screen and (min-width: 1025px){
   /* bases */
.decor-img {
  width: 600px;
}

.decor-img-corazon {
  width: 500px;
}

h2 {
  font-size: 3rem;
}

h3 {
  font-size: 2.6rem;
  max-width: 580px;

}

h4 {
  font-size: 2.3rem;
}

p{
  font-size: 1.5rem;
}

.important-p {
  font-size: 2.1rem;
}

.icons{
  width: 110px;
  height: 110px;
  /* margin-bottom: 5px; */
}

.small-icon{
  width: 60px;
  height: 60px;
}

.big-icon {
  width: 130px;
  height: 130px;
}

.div-information p {
  max-width: 580px;
}

.front-page_p-inferior {
  font-size: 1.9rem;
}

.p-event{
  font-size: 2rem;
}

.date {
  font-size: 2.3rem;
}

.decor-img-f {
  width: 450px;
  margin: 10px 0;
}

.img-lugar {
  width: 500px;
}

/*portada */
.flor1 {
  width: 400px; /* Ajusta el tamaño de la imagen según sea necesario */
}

.flor2 {
  width: 400px; /* Ajusta el tamaño de la imagen según sea necesario */
}

.linea {
  width: 130px;
  height: 7px;
}

.p-event{
  text-shadow: var(--shadow);
  font-size: 2rem;
}

/* Información de los eventos */
.button {
  font-size: 1.6rem;
}

.confirmation p {
  max-width: 580px;
}

.button-confirmation {
  font-size: 1.6rem;
}

.div-despedida p {
  max-width: 580px;
}

.despedida {
  min-height: 42vh;
}
/* Footer */
footer p {
  font-size: 1.1rem;
}


}




